> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List who can reach a row

> Returns everyone who can currently reach the row, and the document-level viewers in the project who cannot.

Requires permission to manage the row's access.



## OpenAPI

````yaml get /table/row/{rowId}/access
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/row/{rowId}/access:
    get:
      tags:
        - Tables
      summary: List who can reach a row
      description: >-
        Returns everyone who can currently reach the row, and the document-level
        viewers in the project who cannot.


        Requires permission to manage the row's access.
      operationId: getRowAccess
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: rowId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      rowCount:
                        type: number
                      withAccess:
                        type: array
                        items:
                          type: object
                          properties:
                            userId:
                              type: string
                            profile:
                              type:
                                - object
                                - 'null'
                              properties:
                                email:
                                  type: string
                                firstName:
                                  type: string
                                lastName:
                                  type: string
                                pictureUrl:
                                  type: string
                                avatarId:
                                  type: string
                              required:
                                - email
                                - firstName
                            role:
                              type: string
                              enum:
                                - owner
                                - admin
                                - member
                                - editor
                                - viewer
                            source:
                              type: string
                              enum:
                                - workspace
                                - document
                            documentIds:
                              type: array
                              items:
                                type: string
                            grants:
                              type: object
                              properties:
                                viewer:
                                  type: number
                                editor:
                                  type: number
                              required:
                                - viewer
                                - editor
                            accessCount:
                              type: number
                            rowRoles:
                              type: object
                              additionalProperties:
                                type: string
                                enum:
                                  - viewer
                                  - editor
                                  - access
                          required:
                            - userId
                            - profile
                            - role
                            - source
                            - documentIds
                            - grants
                            - accessCount
                            - rowRoles
                      withoutAccess:
                        type: array
                        items:
                          type: object
                          properties:
                            userId:
                              type: string
                            profile:
                              type:
                                - object
                                - 'null'
                              properties:
                                email:
                                  type: string
                                firstName:
                                  type: string
                                lastName:
                                  type: string
                                pictureUrl:
                                  type: string
                                avatarId:
                                  type: string
                              required:
                                - email
                                - firstName
                            role:
                              type: string
                              enum:
                                - owner
                                - admin
                                - member
                                - editor
                                - viewer
                            source:
                              type: string
                              enum:
                                - workspace
                                - document
                            documentIds:
                              type: array
                              items:
                                type: string
                            grants:
                              type: object
                              properties:
                                viewer:
                                  type: number
                                editor:
                                  type: number
                              required:
                                - viewer
                                - editor
                            accessCount:
                              type: number
                            rowRoles:
                              type: object
                              additionalProperties:
                                type: string
                                enum:
                                  - viewer
                                  - editor
                                  - access
                          required:
                            - userId
                            - profile
                            - role
                            - source
                            - documentIds
                            - grants
                            - accessCount
                            - rowRoles
                    required:
                      - rowCount
                      - withAccess
                      - withoutAccess
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````